*FIG7: AVERAGE YIELDS (BOND ANALYSIS USING FIDELITY-TRACE INVESTMENT-GRADE BONDS DATA)

clear all
set more off

*MAC OR PC
*If PC
*local s "\"
*local m "G:\My Drive\"
*If MAC
local s "/"
local m "`s'Data Supplement`s'"



*Directories 

local unbalanced "`m'data`s'yields`s'yields.dta"
local balanced "`m'data`s'yields`s'yields_balanced.dta"
local outdir "`m'out`s'"


use "`unbalanced'" , clear
gen hgm=1 if moodys_r<5
replace hgm=0 if hgm==.
gen mgm_top=1 if moodys_r>4 &  moodys_r<8
replace mgm_top=0 if mgm_top==.
gen mgm_low=1 if moodys_r>7
replace mgm_low=0 if mgm_low==.
drop if mgm_low==1
gen cat=0
replace cat=1 if hgm==1 & cme==1
replace cat=2 if hgm==1 & cme==0
replace cat=3 if mgm_top==1 & cme==1
replace cat=4 if mgm_top==1 & cme==0
collapse (mean) close_yld, by(month cat)
reshape wide close_yld, i(month) j(cat)
ren close_yld1 close_yld_uhg1
ren close_yld2 close_yld_uhg0
ren close_yld3 close_yld_umg1
ren close_yld4 close_yld_umg0
tempfile avgyields1
save `avgyields1'
			  
use "`balanced'" , clear

gen hgm=1 if moodys_r<5
replace hgm=0 if hgm==.
gen mgm_top=1 if moodys_r>4 &  moodys_r<8
replace mgm_top=0 if mgm_top==.
gen mgm_low=1 if moodys_r>7
replace mgm_low=0 if mgm_low==.
drop if mgm_low==1
gen cat=0
replace cat=1 if hgm==1 & cme==1
replace cat=2 if hgm==1 & cme==0
replace cat=3 if mgm_top==1 & cme==1
replace cat=4 if mgm_top==1 & cme==0
collapse (mean) close_yld, by(month cat)
reshape wide close_yld, i(month) j(cat)
ren close_yld1 close_yld_bhg1
ren close_yld2 close_yld_bhg0
ren close_yld3 close_yld_bmg1
ren close_yld4 close_yld_bmg0
merge 1:1 month using `avgyields1'


twoway (line close_yld_uhg1 month, lc(red)) (line close_yld_uhg0 month, lc(blue)) (line close_yld_bhg1 month, lc(red) lpattern(shortdash)) (line close_yld_bhg0 month, lc(blue) lpattern(shortdash)), legend(off)  xtitle("Month") scheme(s1color) xlabel(650 662 674 686 698 710) ylabel(2.25 2.5 2.75 3 3.25 3.5 3.75 4 4.25)  ytitle("Average yields")
gr export "`outdir'fig7_hg.eps", replace
twoway (line close_yld_umg1 month, lc(red)) (line close_yld_umg0 month, lc(blue)) (line close_yld_bmg1 month, lc(red) lpattern(shortdash)) (line close_yld_bmg0 month, lc(blue) lpattern(shortdash)), legend(off)  xtitle("Month") scheme(s1color)  xlabel(650 662 674 686 698 710) ylabel(2.25 2.5 2.75 3 3.25 3.5 3.75 4 4.25)  ytitle("Average yields")
gr export "`outdir'fig7_mg.eps", replace

